gethostbynamel
getmxrr
Network Functions
PHP Manual

# gethostname

Gets the host name

### Description

string gethostname ( void )

gethostname gets the standard host name for the local machine.

### Return Values

Returns a string with the hostname on success, otherwise `FALSE` is returned.

### Examples

Example #1 A simple gethostname example

`<?php
echo gethostname(); // may output e.g,: sandie
// Or, an option that also works before PHP 5.3
echo php_uname('n'); // may output e.g,: sandie
?>`

### See Also

- gethostbyname
- gethostbyaddr
- php_uname